Skip to main content
`Ctrl`+`K`

# DMSwarmSort

PETSc object for sorting `DMSWARM` particles into `DM` cells. Sort particles by their background cell index for fast cell-to-particle lookups.

## Synopsis

    typedef struct _p_DMSwarmSort *DMSwarmSort;

## See Also

DM Basics, `DM`, `DMSWARM`, `DMSwarmSortGetAccess()`, `DMSwarmSortRestoreAccess()`, `DMSwarmSortGetIsValid()`, `DMSwarmSortCreate()`, `DMSwarmSortDestroy()`

## Level

developer

## Location

include/petscdmswarm.h

## Implementations

_p_DMSwarmSort in include/petsc/private/dmswarmimpl.h

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages